Debian Bug report logs - #702456
dh-make-perl: Should check git.debian.org:/git/pkg-perl/attic/ for existing packaging

version graph

Package: dh-make-perl; Maintainer for dh-make-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for dh-make-perl is src:dh-make-perl.

Reported by: Axel Beckert <abe@debian.org>

Date: Wed, 6 Mar 2013 19:42:02 UTC

Severity: wishlist

Found in version dh-make-perl/0.76-1

Fixed in version dh-make-perl/0.77-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#702456; Package dh-make-perl. (Wed, 06 Mar 2013 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 06 Mar 2013 19:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-make-perl: Should check git.debian.org:/git/pkg-perl/attic/ for existing packaging
Date: Wed, 06 Mar 2013 20:39:13 +0100
Package: dh-make-perl
Version: 0.76-1
Severity: wishlist

Hi,

when creating a new package with dh-make-perl, it checks at least if
such a package already exists in the archive (via apt-file's database)
and on the local system.

However it doesn't check git.debian.org:/git/pkg-perl/attic/ (e.g. via
http://anonscm.debian.org/gitweb/) for previous packaging of possibly
removed and to be re-added packages.

Additionally there was recently the suggestion[1] to also create
git.debian.org:/git/pkg-perl/prospective/ (or similar) for already
started but not actively maintained packaging, so that people can
continue already done work instead of starting packaging from scratch.

  [1] http://lists.debian.org/debian-perl/2013/03/msg00013.html

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#702456; Package dh-make-perl. (Thu, 08 Aug 2013 19:27:14 GMT) Full text and rfc822 format available.

Message #8 received at 702456@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 702456@bugs.debian.org, 702456-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the dh-make-perl package
Date: Thu, 08 Aug 2013 19:23:26 +0000
tag 702456 + pending
thanks

Some bugs in the dh-make-perl package are closed in revision
1f616c1e01a4b9e8bd10925eed89a42673c9ac75 in branch 'master' by Damyan
Ivanov

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/dh-make-perl.git;a=commitdiff;h=1f616c1

Commit message:

    make: warn if pkg-perl already has a packaging repository for the package
    
    both packages/ and attic/ are checked
    
    Closes: #702456




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 08 Aug 2013 19:27:16 GMT) Full text and rfc822 format available.

Message sent on to Axel Beckert <abe@debian.org>:
Bug#702456. (Thu, 08 Aug 2013 19:27:21 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Fri, 09 Aug 2013 10:51:36 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 10:51:36 GMT) Full text and rfc822 format available.

Message #18 received at 702456-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 702456-close@bugs.debian.org
Subject: Bug#702456: fixed in dh-make-perl 0.77-1
Date: Fri, 09 Aug 2013 10:48:12 +0000
Source: dh-make-perl
Source-Version: 0.77-1

We believe that the bug you reported is fixed in the latest version of
dh-make-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated dh-make-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 09 Aug 2013 12:19:07 +0200
Source: dh-make-perl
Binary: dh-make-perl
Architecture: source all
Version: 0.77-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 dh-make-perl - helper for creating Debian packages from perl modules
Closes: 608936 659526 689476 691534 691859 697876 701140 702456 704480 712432 717025
Changes: 
 dh-make-perl (0.77-1) unstable; urgency=low
 .
   [ Salvatore Bonaccorso ]
   * Bump version for DhMakePerl to 0.77
   * Bump Standards-Version to 3.9.4
   * Create packages with Standards-Version 3.9.4.
     Adjust default Standards-Versions in DhMakePerl::Command::Packaging to
     3.9.4.
     Bump Standards-Version in debian/control for tests to 3.9.4.
   * Use metacpan.org instead of search.cpan.org.
     Use https://metacpan.org instead of http://search.cpan.org in
     debian/watch, debian/copyright and debian/control files.
     Adjust the test files using https://metacpan.org.
   * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
   * Use anonscm.debian.org for source location in debian/copyright
   * Create Vcs-Git with canonical URI (git://anonscm.debian.org)
     (Closes: #697876)
 .
   [ Damyan Ivanov ]
   * add test about handling user:pass@ in sources.list URLs
   * add debian/source/{format,local-options}. shut up, lintian :)
 .
   [ gregor herrmann ]
   * DhMakePerl::Command::Packaging: honour command line options
     for packagename/version in extract_name_ver.
 .
   [ Nathan Handler ]
   * Email change: nhandler -> nhandler@debian.org
 .
   [ Dima Kogan ]
   * Not importing IO::Dir since I'm not using it
   * better handling of upstream-supplied debian/ directories.  If we are
     making a git repo I now remove debian/ directory if the upstream ships
     it. This goes into the 'master' branch, so the 'upstream' branch
     contains the original debian/ directory, and thus matches the
     pristine-tar
 .
   [ gregor herrmann ]
   * DhMakePerl::Command::make: Try to guess tarball name when run from an
     unpacked source directory.
   * DhMakePerl::Command::Packaging: Don't sanitize version if given on the
     command line.
   * Update years of copyright.
   * DhMakePerl::Command::Packaging: replace "This library" with the module
     name in the long description, like we already did with "This module".
 .
   [ Axel Beckert ]
   * DhMakePerl::Command::make: Call git_add_debian before build_package
     and install_package to not add files generated during the package
     build process to the git repository.
   * Add patch by Matthew Gabeler-Lee to understand packages named
     "-vX.Y.Z". (Closes: #701140)
   * Fix "fatal: pathspec '…' did not match any files" error of "git
     add". (Closes: #659526)
   * Add option --build-source to build .dsc file (c.f. #645011). Also add
     a cpan2dsc 'flavour' of dh-make-perl. If it is called by that name,
     the behaviour changes for easy .dsc creation.
   * Mention cpan2deb and cpan2dsc in the long description.
   * Add myself to Uploaders.
 .
   [ Oleg Gashev ]
   * Fixed timestamp regexp to t/dists.t file. If time zone is EDT, failed
     tests from t/dists.t file: Generated tree matches template. Problem
     with incorrect timestamp regexp.
 .
   [ Damyan Ivanov ]
   * Dependency: assume '>=' relationship if missing when constructing from
     hash /usr/share/perl5/Debian/Dependency.pm line 157. Thanks to Robert
     Norris for his patience and his excellent analysis. (Closes: #704480)
   * exclude README in the root directory from .docs "in 9x% we remove it
     from .docs afterwards" this change is a bit of a "big gun", because it
     doesn't really check if README is autogenerated, but hey, fixing a 90%
     false-positive hit is better than introducing a 10% false-negative hit
     (Closes: #608936)
   * drop mangling versions like 2.003004 into 2.3.4 this partially reverts
     385451609f5af2ace92c3838133dd4ed2c605608 see there for the reasoning
     back in 2010 (TODO is interesting) the fix seems to cause more
     problems than it solves. matching cpan-version to debian version is
     dark area
 .
   [ gregor herrmann ]
   * Fix tests for .docs generation.
   * Fix tests for version mangling.
   * debian/control: one 'perl' is enough. Thanks to lintian.
 .
   [ Damyan Ivanov ]
   * use dh 9 for arch:any packages to get hardening flags
   * drop support for debhelper compatibility levels before 8
   * drop documentation and support of rules files for dh7
 .
   [ Lasse Makholm ]
   * Debian::AptContents: Fix repo_source_to_contents_paths() to also work on
     Ubuntu.
     Make sure to generate paths both with and without components to be
     compatible with both old and new apt-file versions.
     (LP: #1034881)
 .
   [ Damyan Ivanov ]
   * use Text::Balanced's extract_quotelike for parsing quoted strings
     (Closes: #717025)
   * do not fail AptContents.t with left over Contents.cache present
   * Control: revert ->binary to plain hashref and provide the Tie::IxHash tie
     via ->binary_tie (Closes: #712432)
   * configure_cpan: save/restore the CWD
   * make: when neither --cpan or a tarball is given, also try to use
     debian-named .orig.tar.gz
   * make: skip pristine-tar if there is no known tarball (Closes: #689476)
   * FromCPAN: catch in-core dependencies that require too new perl and provide
     an out-of-core alternative (Closes: #691534)
   * move mod_cpan_version from ::make to ::Packaging (Closes: #691859)
   * make: warn if pkg-perl already has a packaging repository for the package
     (Closes: #702456)
   * switch default debhelper to 9
   * packages build-depending on Module::Build::Tiny get debhelper 9.20130630
   * bump oldstable perl version from 5.10.0 to 5.10.1
   * make: prune dependencies after discovering additional dependencies
   * do not fail when $wnpp_query is not supplied due to --no-network
   * rules: merge clean: into override_dh_clean:
   * Makefile: defer {real,dist}clean to ./Build too
   * add .pc and Contents.cache to MANIFEST.SKIP
   * rework dists.t using IPC::Run
   * supply data about libmodule-build-tiny-perl in test Contents
Checksums-Sha1: 
 cae700fb062eefd40c9908add96120e6b541bc90 2980 dh-make-perl_0.77-1.dsc
 ae1278fefea4db1d1ff8c5cb9a3284e6dcdd65a7 145925 dh-make-perl_0.77.orig.tar.gz
 e368866be147cbf1bc2fc512f4614ee94405aec2 25946 dh-make-perl_0.77-1.debian.tar.gz
 c76e27ff894386bc8c28d406823152da9d950fec 165138 dh-make-perl_0.77-1_all.deb
Checksums-Sha256: 
 531fd4beab8aa3535a6bb58f910e27bbe8ab5a63a045e366200e852f21b195d8 2980 dh-make-perl_0.77-1.dsc
 e9a790de430357cef4aed5ca5ebdce0d6133ad9ecab520a681b7da8ebca8861d 145925 dh-make-perl_0.77.orig.tar.gz
 52848e34f71cde7ac78af13b300aad6c22900ec035a092ebc54e6483dea4b551 25946 dh-make-perl_0.77-1.debian.tar.gz
 3cb3490a3305c9d64ae3eb8b814b5bf0822c6d4133a049561f0cc5bce65e84cf 165138 dh-make-perl_0.77-1_all.deb
Files: 
 1fd8cbec488b9e62b8b4ccd00b5f96a7 2980 perl optional dh-make-perl_0.77-1.dsc
 ea1e2b82917d6e0479785076b5682fda 145925 perl optional dh-make-perl_0.77.orig.tar.gz
 74b2f2943444db039ba6fbe89b102d87 25946 perl optional dh-make-perl_0.77-1.debian.tar.gz
 c0a4cb0105f45b8e52cdf5f895925ab4 165138 perl optional dh-make-perl_0.77-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSBMWPAAoJENu+nU2Z0qAEQVYP/Andaz9Oyl1I50B09LpiIPEs
tNmdwxRgdvzp8x/ogNpmfiVOAwPiwIDsIh0S7wtdx9etrxH3TzkAXDVeWa7Xp0iN
de0fvUDkDFNSTuhau9buizROZSPo/2bIcJ1LHLJMNgNC8ucjummp7OjTC//0J5Wz
jzMfIhWADR/Fhbpm9PTbi1xF/X3fayNsIS8GBEBxbaqXcaenM6HTdvXk7NqNCZtw
AYXpTQpd2MV36SgjRQgaNj1V9KRoJh4ZqJpq8n3qdi9QnUj+X1qCeEcau0tRkwxf
jsCBpxhDMeJVYxGsCNOSMOMbx+CDpN+D8TaGTGt+0IZJ8AEEEZH9BK0drsbAI7Gr
N5zw6PhH1CsM4OkaYC698JAtTd1u4Xbh7SNEdfb2N+Z+kpCpzGELImYatF7XlUa5
A3SF/kjOuYZztmGVmFqsfXEWinGhOI3dl3ZMY7KHMOikKQa0EpSqoXYneiVorlY0
+3UEXhOZUbUHNIEMU8XXVMwWxcMT6yUYcz8q1oh20YHGIbF9fjd5/SVq9KVYpnbQ
0PIAVhMVg9Wvqfr2oy0pbOo6CzE9esEhp+bKzBdqEQuXwZeyAM3vyJusH+Z2TWQO
vzrCVxpTc3IpX00Z3BGsMec1hZg2TGjA4xJBDd3+8s4rxsUS95HED7sJfUslzu5H
ti47ebXGb8oq4Jw5kpiC
=YgUn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:48:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.